import request from '@/utils/request'

// 查询ipad服务器日志列表
export function listQwIpadServerLog(query) {
  return request({
    url: '/qw/qwIpadServerLog/ipadServerLogList',
    method: 'get',
    params: query
  })
}

// 查询ipad服务器日志详细
export function getQwIpadServerLog(id) {
  return request({
    url: '/qw/qwIpadServerLog/' + id,
    method: 'get'
  })
}

// 新增ipad服务器日志
export function addQwIpadServerLog(data) {
  return request({
    url: '/qw/qwIpadServerLog',
    method: 'post',
    data: data
  })
}

// 修改ipad服务器日志
export function updateQwIpadServerLog(data) {
  return request({
    url: '/qw/qwIpadServerLog',
    method: 'put',
    data: data
  })
}

// 删除ipad服务器日志
export function delQwIpadServerLog(id) {
  return request({
    url: '/qw/qwIpadServerLog/' + id,
    method: 'delete'
  })
}

// 导出ipad服务器日志
export function exportQwIpadServerLog(query) {
  return request({
    url: '/qw/qwIpadServerLog/export',
    method: 'get',
    params: query
  })
}